/*
 * $Id: Parameters_msg_error.cpp 88 2008-12-10 18:31:39Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Types.h"
#include "Behavioural/Core/Multi_Execute_loop/Execute_loop/include/Parameters.h"
#include <sstream>

namespace morpheo                    {
namespace behavioural {
namespace core {
namespace multi_execute_loop {
namespace execute_loop {


#undef  FUNCTION
#define FUNCTION "Execute_loop::msg_error"
  Parameters_test Parameters::msg_error(void)
  {
    log_printf(FUNC,Execute_loop,FUNCTION,"Begin");

    Parameters_test test ("Execute_loop");

    for (uint32_t i=0; i<_nb_functionnal_unit; i++)
      if (_nb_inst_functionnal_unit [i] != 1)
	test.error(toString(_("Functionnal_unit [%d] must treat once instruction.\n"),i));

    log_printf(FUNC,Execute_loop,FUNCTION,"End");

    return test;
  };

}; // end namespace execute_loop
}; // end namespace multi_execute_loop
}; // end namespace core

}; // end namespace behavioural
}; // end namespace morpheo              
